Skip to main content
GET
/
registry
/
repos
/
{repository_id}
Error
A valid request URL is required to generate request examples
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "origin": "<string>",
  "last_synced_at": "2023-11-07T05:31:56Z",
  "commit_sha": "<string>",
  "actions": [
    {
      "name": "<string>",
      "description": "<string>",
      "namespace": "<string>",
      "origin": "<string>",
      "interface": {
        "expects": {},
        "returns": "<unknown>"
      },
      "implementation": {
        "template_action": {
          "definition": {
            "name": "<string>",
            "namespace": "<string>",
            "title": "<string>",
            "display_group": "<string>",
            "expects": {},
            "steps": [
              {
                "ref": "<string>",
                "action": "<string>",
                "args": {}
              }
            ],
            "returns": "<string>",
            "description": "",
            "doc_url": "<string>",
            "author": "<string>",
            "deprecated": "<string>",
            "secrets": [
              {
                "name": "<string>",
                "type": "custom",
                "keys": [
                  "<string>"
                ],
                "optional_keys": [
                  "<string>"
                ],
                "optional": false,
                "secret_type": "custom"
              }
            ]
          },
          "type": "action"
        },
        "type": "template"
      },
      "repository_id": "<string>",
      "id": "<string>",
      "action": "<string>",
      "is_template": true,
      "secrets": [
        {
          "name": "<string>",
          "type": "custom",
          "keys": [
            "<string>"
          ],
          "optional_keys": [
            "<string>"
          ],
          "optional": false,
          "secret_type": "custom"
        }
      ],
      "default_title": "<string>",
      "display_group": "<string>",
      "doc_url": "<string>",
      "author": "<string>",
      "deprecated": "<string>",
      "options": {
        "include_in_schema": true,
        "requires_approval": false,
        "required_entitlements": [
          "<string>"
        ]
      }
    }
  ],
  "current_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

repository_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required
origin
string
required
last_synced_at
string<date-time> | null
required
commit_sha
string | null
required
actions
RegistryActionRead · object[]
required
current_version_id
string<uuid> | null